import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { TokenStorageService } from './token.service';
const API_URL = 'https://aktienbot.flokaiser.com/api/';
@Injectable({
  providedIn: 'root',
})
export class DataService {
  constructor(
    private http: HttpClient,
    private tokenStorage: TokenStorageService
  ) {}

  headers = new HttpHeaders({
    'Content-Type': 'application/json',
    Authorization: 'Bearer ' + this.tokenStorage.getToken(),
  });

  async getStockData() {
    await this.http
      .get(API_URL + 'portfolio', {
        headers: this.headers,
        responseType: 'text',
      })
      .subscribe((data) => {
        console.log(data);
        return data;
      });
  }

  getKeywords(): Observable<any> {
    return this.http.get(API_URL + 'keywords', {
      headers: this.headers,
      responseType: 'text',
    });
  }
}
